
From: "Randy.Dunlap" <rddunlap@osdl.org>

Add support for x86_64 arch. to 'make checkstack' (checkstack.pl).

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Acked-by: Jrn Engel <joern@wohnheim.fh-wedel.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/checkstack.pl |    3 +++
 1 files changed, 3 insertions(+)

diff -puN scripts/checkstack.pl~checkstack-add-x86_64-arch-support scripts/checkstack.pl
--- 25/scripts/checkstack.pl~checkstack-add-x86_64-arch-support	2004-10-21 20:44:44.858618688 -0700
+++ 25-akpm/scripts/checkstack.pl	2004-10-21 20:44:44.861618232 -0700
@@ -39,6 +39,9 @@ my (@stack, $re, $x, $xs);
 	} elsif ($arch =~ /^i[3456]86$/) {
 		#c0105234:       81 ec ac 05 00 00       sub    $0x5ac,%esp
 		$re = qr/^.*[as][du][db]    \$(0x$x{1,8}),\%esp$/o;
+	} elsif ($arch eq 'x86_64') {
+		#    2f60:	48 81 ec e8 05 00 00 	sub    $0x5e8,%rsp
+		$re = qr/^.*[as][du][db]    \$(0x$x{1,8}),\%rsp$/o;
 	} elsif ($arch eq 'ia64') {
 		#e0000000044011fc:       01 0f fc 8c     adds r12=-384,r12
 		$re = qr/.*adds.*r12=-(([0-9]{2}|[3-9])[0-9]{2}),r12/o;
_
